import request from '@/requset/axios'

// 表格分页
export function dataTable(data: object, role: string) {
    return new Promise((resolve, reject) => {
        request
            .post(`/bizSupplierEnterprise/v1/queryPage?role=${role}`, data)
            .then((res) => resolve(res?.data || []))
            .catch((err) => reject(err))
    })
}
